Bug 9689 - Проблема с savedefault после обновления на grub-0.97-alt2
: Проблема с savedefault после обновления на grub-0.97-alt2
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/grub)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-06-10 12:58 by
Modified: 2012-03-16 13:58 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-06-10 12:58:31
Перестали работать (то есть, загружаться) записи в menu.lst, которые содержат
savedefault. 
Сообщение об ошибке такое:

savedefault

Error 15: File not found

Press any key to continue...

Сюда по ChangeLog нужен файл /boot/grub/default:
2004-06-20  Yoshinori K. Okuji  <okuji@enbug.org>

        This is a big change on saving a default entry. This change
        makes it possible to set up a quite robust system using GRUB.
        Now we do not use the second sector of Stage 2 to store an
        entry number but use the file /boot/grub/default. This file
        must be generated by grub-set-default, although this file is
        plain-text.

Я так понимаю, надо в postinstall добавить запуск grub-set-default.
------- Comment #1 From 2006-06-13 09:42:07 -------
reassign to new mantainer
------- Comment #2 From 2007-02-09 11:37:23 -------
Reassign to maintainer
------- Comment #3 From 2007-03-16 22:06:53 -------
Вообще я ещё не майнтайнер grub. но он больше всех мне нижен. Вобщем может
когда
нибдуь поправлю
------- Comment #4 From 2008-08-02 13:49:33 -------
Я правильно понимаю, что в %post достаточно вызвать "grub-set-default default"
при отсутствии этого файла?
------- Comment #5 From 2008-08-02 21:06:44 -------
Да, тогда, файл будет создан. И загрузка будет произведена в первую секцию,
описанную в menu.lst. Проблема тут может быть в том, что нужная загрузочная
запить -- не первая. А какая нужная -- записано в stage 2 в старом формате.
Насколько это большая проблема я не знаю.
------- Comment #6 From 2008-08-19 17:59:50 -------
Fixed in 0.97-alt5/-alt4.M41.1